var app = getApp();
Page({
  data: {
    teenageName: '',
    avatar: "",
    sn: ''
  },
  onLoad() {
    let me = this
    // 请求前加Loading
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    wx.request({
      url: app.globalData.apiUrl + 'users/personalCenter',
      method: 'POST',
      data: {
        token: wx.getStorageSync('token')
      },
      success: function (res) {
        // 请求成功后关闭Loading
        wx.hideLoading();
        if(res.data.errno==200){
          me.setData({
            avatar: res.data.data.avatar,
            teenageName: res.data.data.name,
            sn: res.data.data.seexSn,
          })
        }else{
          wx.showModal({
            title: '提示',
            showCancel: false,
            content: res.data.msg
          })
        }
      }
    })
  },
  // 解绑
  unbundle() {
    wx.showModal({
      title: '删除提示',
      content: '删除后无法恢复，是否删除？',
      success (res) {
        if (res.confirm) {
          console.log('用户点击确定')
          // 请求前加Loading
          wx.showLoading({
            title: '加载中',
            mask: true
          })
          wx.request({
            url: app.globalData.apiUrl + 'devices/unbind',
            method: 'POST',
            data: {
              token: wx.getStorageSync('token')
            },
            success: function (res) {
              // 请求成功后关闭Loading
              wx.hideLoading();
              if(res.data.errno==200){

              }else{
                wx.showModal({
                  title: '提示',
                  showCancel: false,
                  content: res.data.msg
                })
              }
            }
          })
        } else if (res.cancel) {
          // console.log('用户点击取消')
        }
      }
    })
  },
  // 用户
  user() {
    wx.navigateTo({
      url: '/pages/user/user'
    })
  },
  // 通知提醒
  message() {
    wx.navigateTo({
      url: '/pages/message/message'
    })
  },
  // 意见与反馈
  idea() {
    wx.navigateTo({
      url: '/pages/idea/idea'
    })
  },
})